### Method

# Ide CompletionListBoxRow get_proposal

#### Declaration

    IdeCompletionProposal*
    ide_completion_list_box_row_get_proposal (
      IdeCompletionListBoxRow* self
    )

#### Description

Gets the proposal viewed by the row.

Available since: | 3.32

Gets property | `Ide.CompletionListBoxRow:proposal`

#### Return value

Returns: | `IdeCompletionProposal`
| An `IdeCompletionProposal` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.